基础不扎实,所以直接用代码教做人了:

<?php
ini_set('display_errors', '1');
ini_set('error_reporting', E_ALL);
try {
$b = "123";
$a = "abc";
if(!empty($conf)) {
throw new Exception('1');
} else if (isset($b)) {
throw new Exception('2');
} else {
throw new Exception('3');
}
}catch(Exception $e) {
echo "error Info:".$e->getMessage()."n";
echo $a."n";
echo $b."n";
}

输出结果:

error Info:2
abc
123

结论:能调用。


如您从本文得到了有价值的信息或帮助,请考虑扫描文末的二维码对我进行赞赏和鼓励。

与《PHP try中的变量catch能调用吗》相关的博文:


发布时间 01/19/2019 06:45:50所属栏目 Program Code.所属标签 .

留言

avatar
😀
😀😁😂😅😭🤭😋😘🤔😰😱🤪💪👍👎🤝🌹👌